Bug 860501 - Default options to spamassassin rc are wrong
Default options to spamassassin rc are wrong
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
17
All All
unspecified Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:52 EDT by Steven W. Orr
Modified: 2013-08-01 14:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:12:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2012-09-25 21:52:22 EDT
Description of problem:
The default values supplied in /etc/sysconfig/spamassassin are not applicable for running spamd. An example of proper content might be (something like)

SPAMDOPTIONS='--daemonize --sql-config --nouser-config --username=nobody'

The supplied values 

SPAMDOPTIONS="-d -c -m5 -H"

are not applicable to running spamd. They used to be applicable to running the spamassassin command before spamd was created.


Version-Release number of selected component (if applicable):
3.3.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: This is a general problem with the setup and documentation of spamd. This bug is in the context of the /etc/init.d/spamassassin script starting spamd. Because it is used to start and stop spamd, there is never a time when the options could ever be applied to the spamassassin command line.

The whole problem encompasses what RDBMS is used (mysql or postgres). A related issue is that the mysql scripts used to setup the database uses MyISAM tables instead of InNoDB. Any system will slow down to a crawl if InNoDB is not used because MyISAM files do not allow for record locking.
Comment 1 Kevin Fenzi 2012-09-25 23:14:22 EDT
I'm afraid I don't understand the problem here... 

"-d -c -m5 -H" are all perfectly valid parameters to spamd here. 

        -d, --daemonize                   Daemonize

        -c, --create-prefs                Create user preferences files

        -m num, --max-children=num        Allow maximum num children

        -H [dir], --helper-home-dir[=dir]  Specify a different HOME directory
"By specifying no
           argument, spamd will use the spamc caller's home directory instead."

In Fedora 17, spamassassin doesn't use a /etc/init.d/spamassassin script, it uses a systemd unit file. 

Setup of a db to store spamassassin information is fine, but out of the scope of the default. 

Perhaps you installed spamassassin from cpan or a different source?

rpm -q spamassassin

rpm -V spamassassin 

might help isolate whats going on. 

Also, any errors you are seeing from using the default options would be good.
Comment 2 Fedora End Of Life 2013-07-04 02:36:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 14:12:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.